## okteta 17.12.3

=== program/CMakeLists.txt ===
set( okteta_SRCS
  main.cpp
  program.cpp
  about.cpp
  mainwindow.cpp
)

ecm_add_app_icon(okteta_SRCS
  ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/16-apps-okteta.png
    ${CMAKE_CURRENT_SOURCE_DIR}/32-apps-okteta.png
    ${CMAKE_CURRENT_SOURCE_DIR}/48-apps-okteta.png
)

add_executable( okteta  ${okteta_SRCS} )

target_link_libraries( okteta
  OktetaKastenControllers
  OktetaKastenGui
  OktetaKastenCore
  KastenControllers
  KastenGui
  KastenCore
  KF5::ConfigCore
  KF5::I18n
  KF5::XmlGui
  KF5::DBusAddons
  KF5::Crash
)

install( TARGETS okteta  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


install( PROGRAMS org.kde.okteta.desktop  DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES oktetaui.rc  DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/okteta )
install( FILES org.kde.okteta.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

ecm_install_icons(
  ICONS 16-apps-okteta.png  32-apps-okteta.png  48-apps-okteta.png
  DESTINATION ${KDE_INSTALL_ICONDIR}
)

=== libs/kasten/CMakeLists.txt ===
set( KASTEN_MAJOR_VERSION 0 )
set( KASTEN_MINOR_VERSION 3 )
set( KASTEN_PATCHLEVEL_VERSION 0 )
set( KASTEN_VERSION "${KASTEN_MAJOR_VERSION}.${KASTEN_MINOR_VERSION}.${KASTEN_PATCHLEVEL_VERSION}" )
set( KASTEN_ABI_VERSION 3 )
set( KASTEN_INCLUDE_INSTALL_DIR  ${KDE_INSTALL_INCLUDEDIR}/kasten ) #${KASTEN_ABI_VERSION} )
set( KASTEN_CCINCLUDE_INSTALL_DIR  ${KDE_INSTALL_INCLUDEDIR}/Kasten ) #${KASTEN_ABI_VERSION}

set( KASTEN_LIB_SOVERSION ${KASTEN_ABI_VERSION} )
set( KASTEN_LIB_VERSION ${KASTEN_VERSION} )

add_subdirectory( core )
add_subdirectory( gui )
add_subdirectory( controllers )

#add_subdirectory( kparts )

=== parts/kpart/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"oktetapart\")

set( oktetapart_SRCS
  part.cpp
  browserextension.cpp
  partfactory.cpp
)

add_library( oktetapart  MODULE ${oktetapart_SRCS} )


target_link_libraries( oktetapart
  OktetaKastenControllers
  OktetaKastenGui
  OktetaKastenCore
  KastenControllers
  KastenGui
  KastenCore
  KF5::I18n
  KF5::Parts
)

install( TARGETS oktetapart  DESTINATION ${KDE_INSTALL_PLUGINDIR})
kcoreaddons_desktop_to_json(oktetapart oktetapart.desktop  SERVICE_TYPES kpart.desktop)

install(
  FILES oktetapartreadonlyui.rc oktetapartbrowserui.rc oktetapartreadwriteui.rc
  DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/oktetapart
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== libs/kasten/controllers/CMakeLists.txt ===
ecm_setup_version( ${KASTEN_LIB_VERSION}
    VARIABLE_PREFIX KASTENCONTROLLERS
    SOVERSION ${KASTEN_LIB_SOVERSION}
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KastenControllersConfigVersion.cmake"
)

add_definitions(-DTRANSLATION_DOMAIN=\"libkasten\")

macro(KASTENCONTROLLERS_GENERATE_HEADERS _SUBLIB _RELATIVE)
    ecm_generate_headers("${_SUBLIB}_CCHDRS"
        HEADER_NAMES ${ARGN}
        RELATIVE ${_RELATIVE}
        PREFIX Kasten
        REQUIRED_HEADERS "${_SUBLIB}_HDRS"
    )
endmacro()

set( SYNCHRONIZECONTROLLER_SRCS
  io/synchronize/synchronizecontroller.cpp
)
kastencontrollers_generate_headers(SYNCHRONIZECONTROLLER io/synchronize
  SynchronizeController
)

set( SETREMOTECONTROLLER_SRCS
  io/setremote/setremotecontroller.cpp
)
kastencontrollers_generate_headers(SETREMOTECONTROLLER io/setremote
  SetRemoteController
)

set( CREATORCONTROLLER_SRCS
  documentsystem/creator/creatorcontroller.cpp
)
kastencontrollers_generate_headers(CREATORCONTROLLER documentsystem/creator
  CreatorController
)

set( LOADERCONTROLLER_SRCS
  documentsystem/loader/loadercontroller.cpp
)
kastencontrollers_generate_headers(LOADERCONTROLLER documentsystem/loader
  LoaderController
)

set( CLOSECONTROLLER_SRCS
  documentsystem/close/closecontroller.cpp
)
kastencontrollers_generate_headers(CLOSECONTROLLER documentsystem/close
  CloseController
)

set( FILESYSTEMBROWSERCONTROLLER_SRCS
  documentsystem/filesystembrowser/filesystembrowsertool.cpp
  documentsystem/filesystembrowser/filesystembrowserview.cpp
  documentsystem/filesystembrowser/filesystembrowsertoolview.cpp
)
kastencontrollers_generate_headers(FILESYSTEMBROWSERCONTROLLER documentsystem/filesystembrowser
  FileSystemBrowserTool
  FileSystemBrowserToolView
)

set( DOCUMENTSBROWSERCONTROLLER_SRCS
  documentsystem/documentsbrowser/documentlistmodel.cpp
  documentsystem/documentsbrowser/documentstool.cpp
  documentsystem/documentsbrowser/documentsview.cpp
  documentsystem/documentsbrowser/documentstoolview.cpp
)
kastencontrollers_generate_headers(DOCUMENTSBROWSERCONTROLLER documentsystem/documentsbrowser
  DocumentsTool
  DocumentsToolView
)

set( TERMINALCONTROLLER_SRCS
  document/terminal/terminaltool.cpp
  document/terminal/terminalview.cpp
  document/terminal/terminaltoolview.cpp
)
kastencontrollers_generate_headers(TERMINALCONTROLLER document/terminal
  TerminalTool
  TerminalToolView
)

set( MODIFIEDBARCONTROLLER_SRCS
  document/modified/modifiedbarcontroller.cpp
)
kastencontrollers_generate_headers(MODIFIEDBARCONTROLLER document/modified
  ModifiedBarController
)

set( READONLYCONTROLLER_SRCS
  document/readonly/readonlycontroller.cpp
)
kastencontrollers_generate_headers(READONLYCONTROLLER document/readonly
  ReadOnlyController
)

set( READONLYBARCONTROLLER_SRCS
  document/readonly/readonlybarcontroller.cpp
)
kastencontrollers_generate_headers(READONLYBARCONTROLLER document/readonly
  ReadOnlyBarController
)

if(CMAKE_BUILD_TYPE_TOLOWER MATCHES release)
set( VERSIONVIEWCONTROLLER_SRCS )
else(CMAKE_BUILD_TYPE_TOLOWER MATCHES release)
set( VERSIONVIEWCONTROLLER_SRCS
  document/versionview/versiontablemodel.cpp
  document/versionview/versionview.cpp
  document/versionview/versionviewtool.cpp
  document/versionview/versionviewtoolview.cpp
)
kastencontrollers_generate_headers(VERSIONVIEWCONTROLLER document/versionview
  VersionViewTool
  VersionViewToolView
)
endif(CMAKE_BUILD_TYPE_TOLOWER MATCHES release)
set( VERSIONCONTROLLER_SRCS
  view/version/versioncontroller.cpp
)
kastencontrollers_generate_headers(VERSIONCONTROLLER view/version
  VersionController
)

set( ZOOMCONTROLLER_SRCS
  view/zoom/zoomcontroller.cpp
)
kastencontrollers_generate_headers(ZOOMCONTROLLER view/zoom
  ZoomController
)

set( ZOOMBARCONTROLLER_SRCS
  view/zoom/zoomslider.cpp
  view/zoom/zoombarcontroller.cpp
)
kastencontrollers_generate_headers(ZOOMBARCONTROLLER view/zoom
  ZoomBarController
)

set( SELECTCONTROLLER_SRCS
  view/select/selectcontroller.cpp
)
kastencontrollers_generate_headers(SELECTCONTROLLER view/select
  SelectController
)

set( CLIPBOARDCONTROLLER_SRCS
  io/clipboard/clipboardcontroller.cpp
)
kastencontrollers_generate_headers(CLIPBOARDCONTROLLER io/clipboard
  ClipboardController
)

set( INSERTCONTROLLER_SRCS
  io/insert/insertdialog.cpp
  io/insert/insertcontroller.cpp
)
kastencontrollers_generate_headers(INSERTCONTROLLER io/insert
  InsertController
)

set( COPYASCONTROLLER_SRCS
  io/copyas/copyasdialog.cpp
  io/copyas/copyascontroller.cpp
)
kastencontrollers_generate_headers(COPYASCONTROLLER io/copyas
  CopyAsController
)

set( EXPORTCONTROLLER_SRCS
  io/export/exportdialog.cpp
  io/export/exportcontroller.cpp
)
kastencontrollers_generate_headers(EXPORTCONTROLLER io/export
  ExportController
)

# set( CLOSECONTROLLER_SRCS
#   viewsystem/close/closecontroller.cpp
# )
set( SWITCHVIEWCONTROLLER_SRCS
  shellwindow/switchview/switchviewcontroller.cpp
)
kastencontrollers_generate_headers(SWITCHVIEWCONTROLLER shellwindow/switchview
  SwitchViewController
)

set( VIEWLISTMENUCONTROLLER_SRCS
  shellwindow/viewlistmenu/viewlistmenucontroller.cpp
)
kastencontrollers_generate_headers(VIEWLISTMENUCONTROLLER shellwindow/viewlistmenu
  ViewListMenuController
)

set( VIEWAREASPLITCONTROLLER_SRCS
  shellwindow/viewareasplit/viewareasplitcontroller.cpp
)
kastencontrollers_generate_headers(VIEWAREASPLITCONTROLLER shellwindow/viewareasplit
  ViewAreaSplitController
)

set( TOOLLISTMENUCONTROLLER_SRCS
  shellwindow/toollistmenu/toollistmenucontroller.cpp
)
kastencontrollers_generate_headers(TOOLLISTMENUCONTROLLER shellwindow/toollistmenu
  ToolListMenuController
)

set( FULLSCREENCONTROLLER_SRCS
  shellwindow/fullscreen/fullscreencontroller.cpp
)
kastencontrollers_generate_headers(FULLSCREENCONTROLLER shellwindow/fullscreen
  FullScreenController
)

set( QUITCONTROLLER_SRCS
  program/quit/quitcontroller.cpp
)
kastencontrollers_generate_headers(QUITCONTROLLER program/quit
  QuitController
)

set( kastencontrollers_LIB_SRCS
  ${SETREMOTECONTROLLER_SRCS}
  ${CLOSECONTROLLER_SRCS}
  ${FILESYSTEMBROWSERCONTROLLER_SRCS}
  ${DOCUMENTSBROWSERCONTROLLER_SRCS}
  ${TERMINALCONTROLLER_SRCS}
  ${VERSIONCONTROLLER_SRCS}
  ${VERSIONVIEWCONTROLLER_SRCS}
  ${MODIFIEDBARCONTROLLER_SRCS}
  ${READONLYCONTROLLER_SRCS}
  ${READONLYBARCONTROLLER_SRCS}
  ${SWITCHVIEWCONTROLLER_SRCS}
  ${VIEWLISTMENUCONTROLLER_SRCS}
  ${VIEWAREASPLITCONTROLLER_SRCS}
  ${TOOLLISTMENUCONTROLLER_SRCS}
  ${FULLSCREENCONTROLLER_SRCS}
  ${ZOOMCONTROLLER_SRCS}
  ${ZOOMBARCONTROLLER_SRCS}
  ${CREATORCONTROLLER_SRCS}
  ${LOADERCONTROLLER_SRCS}
  ${SYNCHRONIZECONTROLLER_SRCS}
  ${SELECTCONTROLLER_SRCS}
  ${CLIPBOARDCONTROLLER_SRCS}
  ${INSERTCONTROLLER_SRCS}
  ${COPYASCONTROLLER_SRCS}
  ${EXPORTCONTROLLER_SRCS}
  ${QUITCONTROLLER_SRCS}
)

set( kastencontrollers_LIB_HDRS
  ${CMAKE_CURRENT_BINARY_DIR}/kasten/kastencontrollers_export.h
  ${SETREMOTECONTROLLER_HDRS}
  ${CLOSECONTROLLER_HDRS}
  ${FILESYSTEMBROWSERCONTROLLER_HDRS}
  ${DOCUMENTSBROWSERCONTROLLER_HDRS}
  ${TERMINALCONTROLLER_HDRS}
  ${VERSIONCONTROLLER_HDRS}
  ${VERSIONVIEWCONTROLLER_HDRS}
  ${MODIFIEDBARCONTROLLER_HDRS}
  ${READONLYCONTROLLER_HDRS}
  ${READONLYBARCONTROLLER_HDRS}
  ${SWITCHVIEWCONTROLLER_HDRS}
  ${VIEWLISTMENUCONTROLLER_HDRS}
  ${VIEWAREASPLITCONTROLLER_HDRS}
  ${TOOLLISTMENUCONTROLLER_HDRS}
  ${FULLSCREENCONTROLLER_HDRS}
  ${ZOOMCONTROLLER_HDRS}
  ${ZOOMBARCONTROLLER_HDRS}
  ${CREATORCONTROLLER_HDRS}
  ${LOADERCONTROLLER_HDRS}
  ${SYNCHRONIZECONTROLLER_HDRS}
  ${SELECTCONTROLLER_HDRS}
  ${CLIPBOARDCONTROLLER_HDRS}
  ${INSERTCONTROLLER_HDRS}
  ${COPYASCONTROLLER_HDRS}
  ${EXPORTCONTROLLER_HDRS}
  ${QUITCONTROLLER_HDRS}
)

set( kastencontrollers_LIB_CCHDRS
  ${SETREMOTECONTROLLER_CCHDRS}
  ${CLOSECONTROLLER_CCHDRS}
  ${FILESYSTEMBROWSERCONTROLLER_CCHDRS}
  ${DOCUMENTSBROWSERCONTROLLER_CCHDRS}
  ${TERMINALCONTROLLER_CCHDRS}
  ${VERSIONCONTROLLER_CCHDRS}
  ${VERSIONVIEWCONTROLLER_CCHDRS}
  ${MODIFIEDBARCONTROLLER_CCHDRS}
  ${READONLYCONTROLLER_CCHDRS}
  ${READONLYBARCONTROLLER_CCHDRS}
  ${SWITCHVIEWCONTROLLER_CCHDRS}
  ${VIEWLISTMENUCONTROLLER_CCHDRS}
  ${VIEWAREASPLITCONTROLLER_CCHDRS}
  ${TOOLLISTMENUCONTROLLER_CCHDRS}
  ${FULLSCREENCONTROLLER_CCHDRS}
  ${ZOOMCONTROLLER_CCHDRS}
  ${ZOOMBARCONTROLLER_CCHDRS}
  ${CREATORCONTROLLER_CCHDRS}
  ${LOADERCONTROLLER_CCHDRS}
  ${SYNCHRONIZECONTROLLER_CCHDRS}
  ${SELECTCONTROLLER_CCHDRS}
  ${CLIPBOARDCONTROLLER_CCHDRS}
  ${INSERTCONTROLLER_CCHDRS}
  ${COPYASCONTROLLER_CCHDRS}
  ${EXPORTCONTROLLER_CCHDRS}
  ${QUITCONTROLLER_CCHDRS}
)

add_library( KastenControllers SHARED ${kastencontrollers_LIB_SRCS} )
generate_export_header( KastenControllers EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kasten/kastencontrollers_export.h)
target_link_libraries( KastenControllers
PUBLIC
  KastenGui
  KastenCore
PRIVATE
  KF5::I18n
  KF5::ConfigWidgets
  KF5::XmlGui
  KF5::KIOFileWidgets
  KF5::Parts
)

target_include_directories(KastenControllers PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

set_target_properties( KastenControllers  PROPERTIES
  EXPORT_NAME "KastenControllers"
  OUTPUT_NAME kasten${KASTEN_ABI_VERSION}controllers
  VERSION     ${KASTENCONTROLLERS_VERSION}
  SOVERSION   ${KASTENCONTROLLERS_SOVERSION}
)

install( TARGETS KastenControllers  EXPORT KastenControllersTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES ${kastencontrollers_LIB_HDRS}
  DESTINATION ${KASTEN_INCLUDE_INSTALL_DIR}
  COMPONENT   Devel
)
install( FILES ${kastencontrollers_LIB_CCHDRS}
  DESTINATION ${KASTEN_CCINCLUDE_INSTALL_DIR}
  COMPONENT Devel
)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KastenControllers")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KastenControllersConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KastenControllersConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install( FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KastenControllersConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KastenControllersConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KastenControllersTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KastenControllersTargets.cmake
)

=== debian/control ===
Source: okteta
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqca-qt5-2-dev (>= 2.1.0),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               shared-mime-info (>= 0.30)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta

Package: okteta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 The data is displayed in two variants: as the numeric values of the bytes
 and as the character assigned to the values. Values and characters can be
 shown either in two columns (the traditional display in hex editors) or in
 rows with the value on top of the character. Editing can be done both for
 the values and for the characters.
 .
 Besides the usual editing capabilities Okteta also brings a small set of
 tools, like a table listing decodings into common simple data types, a table
 listing all possible bytes with their character and value equivalents, an
 info view with a statistic, a checksum calculator, a filter tool and a string
 extraction tool.
 .
 This package is part of the KDE Software Development Kit module.

Package: okteta-dev
Architecture: any
Section: devel
Depends: libkasten3controllers3 (= ${binary:Version}),
         libkasten3core3 (= ${binary:Version}),
         libkasten3gui3 (= ${binary:Version}),
         libkasten3okteta1controllers1 (= ${binary:Version}),
         libkasten3okteta1core1 (= ${binary:Version}),
         libkasten3okteta1gui1 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.31.0~),
         libokteta2core2 (= ${binary:Version}),
         libokteta2gui2 (= ${binary:Version}),
         okteta (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: Development files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package contains the development files for Okteta.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3controllers3
Architecture: any
Section: libs
Depends: libokteta-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: controllers Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the controller part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3core3
Architecture: any
Section: libs
Depends: libokteta-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: core Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the core part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3gui3
Architecture: any
Section: libs
Depends: libokteta-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gui Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the GUI part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta2core2
Architecture: any
Section: libs
Depends: libokteta-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: core Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the core part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta2gui2
Architecture: any
Section: libs
Depends: libokteta-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gui Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the GUI part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3okteta1controllers1
Architecture: any
Section: libs
Depends: libokteta-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: kastencontrollers library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing with Kasten
 controllers.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3okteta1core1
Architecture: any
Section: libs
Depends: libokteta-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: kastencore library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten core.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3okteta1gui1
Architecture: any
Section: libs
Depends: libokteta-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: kastengui library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten GUI.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta-data
Architecture: all
Section: libs
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library data files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten GUI.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

dh = --with sodeps

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit
Restrictions: build-needed

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/okteta-([\d.]+).tar.xz
